import java.util.Date;
import java.io.*; //Fr BufferedReader
import java.lang.System; //fr currentTimeMillis()

public class Task {
	//Variablen
        boolean edited = false;
        long zeitdauer;
	long periode;
	String name;
	Date erstellDatum=new Date();
	Date aktivierDatum=new Date();
	float restzeitdauer;
	float restperiode;
	float daueraktiv;
	float dauerperiode;
	boolean active;

	//Hilfsvariablen
	BufferedReader input = new BufferedReader(new InputStreamReader(System.in));

	//Konstruktor
  public Task() {
  }

  public Task(String inName) {
		name = inName;
	}

	public Task(String inName, long inZeitdauer, long inPeriode) {
		name = inName;
		zeitdauer = inZeitdauer;
		periode = inPeriode;
		restzeitdauer = zeitdauer;
		restperiode = periode;
		erstellDatum.setTime(System.currentTimeMillis());
	}

	//Methoden
        String out()
        {
        String output = "";
        String tmprzd = restzeitdauer+"00";
        tmprzd = tmprzd.substring(0,(tmprzd.indexOf(".")+3));
        String tmprp = restperiode+"00";
        tmprp = tmprp.substring(0,(tmprp.indexOf(".")+3));
        if (edited)
                {
                if (active)
                        {
                        output = "Task Aktiv\n";
                        }
                else
                        {
                        output = "\n";
                        }
                output = output + "Taskname: "+name+"\n"+"Noch "+tmprzd+" Minuten zu arbeiten.\n"+"Restperiode : "+tmprp+" Minuten";
                }
        else
                {
                output = "Noch nicht eingerichtet";
                }
        return output;
        }

  boolean edit(String inName,long inZeitdauer,long inPeriode) {
    name = inName;
    zeitdauer = inZeitdauer;
    periode = inPeriode;
 		restzeitdauer = inZeitdauer;
		restperiode = inPeriode;
    erstellDatum.setTime(System.currentTimeMillis());
    edited = true;
    return true;
  }

        boolean activate()
                {
                if (active)
                        {
                        return false;
                        }
                else
                        {
                        if (edited)
                                {
                                active = true;
                                aktivierDatum.setTime(System.currentTimeMillis());
                                }
                        else
                                {
                                return false;
                                }
                        }
                return true;
                }

	boolean deactivate() {
		if (active)
                        {
			active=false;

			return true;
		        }
		else return false;
	}

	boolean refresh() {
	  Date now=new Date(System.currentTimeMillis());
		dauerperiode = now.getTime() - erstellDatum.getTime();
		restperiode = periode -(dauerperiode / 60000);

  	if (active) {
			daueraktiv = now.getTime() - aktivierDatum.getTime(); //in Millisekunden
			restzeitdauer = restzeitdauer - daueraktiv/60000; //in Minuten

			return true;
		}
		else return false;
	}


}//end class Task